Announcement

Collapse
No announcement yet.

Mesa branch for vega

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • Mesa branch for vega

    Hello. I have been trying to configure things so that I can use the open source amd driver for my vega 56.
    I'm on debian buster, running the amd-staging-4.12 kernel, cp'd the vega_* blobs from linux-firmware.git to /lib/firmware/amdgpu, updated clang+llvm to 6.00 version and installed mesa-git using the master branch (install dir is /usr/local) but ran into a problem, see below :

    Code:
    glxinfo |grep -i opengl
    libGL error: core dri driver extension not found
    libGL error: failed to load driver: radeonsi
    libGL error: core dri or dri2 extension not found
    libGL error: failed to load driver: radeonsi
    OpenGL vendor string: VMware, Inc.
    OpenGL renderer string: llvmpipe (LLVM 6.0, 128 bits)
    OpenGL core profile version string: 3.3 (Core Profile) Mesa 17.3.0-devel (git-5ef3c2bcef)
    OpenGL core profile shading language version string: 3.30
    OpenGL core profile context flags: (none)
    OpenGL core profile profile mask: core profile
    OpenGL core profile extensions:
    OpenGL version string: 3.0 Mesa 17.3.0-devel (git-5ef3c2bcef)
    OpenGL shading language version string: 1.30
    OpenGL context flags: (none)
    OpenGL extensions:
    OpenGL ES profile version string: OpenGL ES 3.0 Mesa 17.3.0-devel (git-5ef3c2bcef)
    OpenGL ES profile shading language version string: OpenGL ES GLSL ES 3.00
    OpenGL ES profile extensions:
    Do you know what could cause the issue (swrast being used instead of radeonsi) ?

    screenfetch output :
    Code:
             _,met$$$$$gg.           x@x
          ,g$$$$$$$$$$$$$$$P.        OS: Debian testing buster
        ,g$$P""       """Y$$.".      Kernel: x86_64 Linux 4.12.0-mfr-amd-staging-4.12+
       ,$$P'              `$$$.      Uptime: 51m
      ',$$P       ,ggs.     `$$b:    Packages: 2036
      `d$$'     ,$P"'   .    $$$     Shell: bash 4.4.12
       $$P      d$'     ,    $$P     Resolution: 3840x2160
       $$:      $$.   -    ,d$$'     DE: MATE 1.18.1
       $$\;      Y$b._   _,d$P'      WM: Metacity (Marco)
       Y$$.    `.`"Y$$$$P"'          GTK Theme: 'BlackMATE' [GTK2/3]
       `$$b      "-.__               Icon Theme: mate
        `Y$$                         Font: Sans 10
         `Y$$.                       CPU: Intel Core i7 860 @ 8x 2.801GHz [61.0°C]
           `$$b.                     GPU: llvmpipe (LLVM 6.0, 128 bits)
             `Y$$b.                  RAM: 1422MiB / 12009MiB
                `"Y$b._             
                    `""""
    Thank you


  • #2
    Please disregard, I found the solution : radeonsi wasn't compiled in radeonsi_dri.so.

    Comment

    Working...
    X